# ReaderWriterDirectX.cpp File Reference

`#include "directx.h"`
`#include <osg/TexEnv>`
`#include <osg/CullFace>`
`#include <osg/Geode>`
`#include <osg/Geometry>`
`#include <osg/Material>`
`#include <osg/Image>`
`#include <osg/Texture2D>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <assert.h>`
`#include <map>`

Include dependency graph for ReaderWriterDirectX.cpp:

## Variables

osgDB::RegisterReaderWriterProxy< ReaderWriterDirectX > | g_readerWriter_DirectX_Proxy

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterDirectX> g_readerWriter_DirectX_Proxy